# Class BaseTestLoop

Abstract
Namespace: Thelia\Tpex\Element\TestLoop
Located at core/lib/Thelia/Tpex/Element/TestLoop/BaseTestLoop.php

Methods summary
`public` | # `__construct( Symfony\Component\HttpFoundation\Request $request, Symfony\Component\EventDispatcher\EventDispatcherInterface $eventDispatcher )`
`abstract public boolean` | # `exec( mixed $variable, mixed $value )` This method must be implemented by testLoop classes. This method must return a boolean exemple for testLoop equal : public function exec($variable, $value) { return $variable == $value; } #### Parameters $variable `mixed` $variable the variable to test $value `mixed` $value the value to test #### Returns `boolean`

Properties summary
`public Symfony\Component\HttpFoundation\Request` | $request | `` | #
`public Symfony\Component\EventDispatcher\EventDispatcherInterface` | $eventDispatcher | `` | #